@echo off
echo Deleting common classes
del ..\src\com\ibm\nex\xml\schema\common\*.* /q

echo Deleting report classes
del ..\src\com\ibm\nex\xml\schema\report\*.* /q 

echo Deleting audit classes
del ..\src\com\ibm\nex\jaxb\audit\*.* /q

echo Deleting sqlmodel classes
del ..\src\com\ibm\nex\jaxb\sqlmodel\*.* /q

echo Deleting oim classes
del ..\src\com\ibm\nex\jaxb\oim\*.* /q

echo Deleting filemeta classes
del ..\src\com\ibm\nex\jaxb\filemeta\*.* /q

echo Deleting security classes
del ..\src\com\ibm\nex\jaxb\security\*.* /q


echo Generating common classes
call xjc -d ../src -p com.ibm.nex.xml.schema.common -episode common.episode optim-common.xsd > ..\bin\common.outputput

echo Generating security classes
call xjc -d ../src -p com.ibm.nex.jaxb.security -episode security.episode optim-security.xsd > ..\bin\security.output

echo Generating report classes
call xjc -d ../src -p com.ibm.nex.xml.schema.report -extension -b common.episode optim-report.xsd > ..\bin\report.output

echo Generating audit classes
call xjc -d ../src -p com.ibm.nex.jaxb.audit -extension -b common.episode -b security.episode optim-audit.xsd > ..\bin\audit.output

echo Generating sqlmodel classes
call xjc -d ../src -p com.ibm.nex.jaxb.sqlmodel -extension -episode .\sqlmodel\sqlmodel.episode .\sqlmodel > ..\bin\sqlmodel.output

echo Generating oim classes
call xjc -d ../src -p com.ibm.nex.jaxb.oim -extension -episode .\oim\oim.episode -b ./sqlmodel/sqlmodel.episode .\oim > ..\bin\oim.output

echo Generating filemeta classes
call xjc -d ../src -p com.ibm.nex.jaxb.filemeta -extension -b ./oim/oim.episode -b ./sqlmodel/sqlmodel.episode -b common.episode optim-file-metadata.xsd > ..\bin\filemeta.output

